------------------------------------------------------------------------
r7313 | kevin_fourie | 2007-10-09 19:05:07 +0200 (Tue, 09 Oct 2007) | 649 lines

Merged in from DEV trunk...

WSA-30
"The move_folder in the KTAPI does a copy and not a move()."
Fixed.

Reviewed By: Kevin Fourie

WSA-32
"get_document_version_history has a type conversion problem."
Fixed. Changed type to be string and also checked that user exists.

WSA-33
"get_document_links has a type check problem"
Updated. Have added return SOAP_Value().

Reviewed By: Kevin Fourie

WSA-34
"Create unit tests for webservices"
Initial implementation.

Reviewed By: Kevin Fourie

KTS-2330
"Change array_merge to kt_array_merge for PHP5"
Updated.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2270
"In the actions restrictions for a workflow, generate PDF is not included in the list as an action restriction"
Fixed. Changed getDisplayName to return the name.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2270
"In the actions restrictions for a workflow, generate PDF is not included in the list as an action restriction"
Fixed. Changed getDisplayName to return the name when the mime types don't exist.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-751
"Bulk Export/Upload doesn't catch empty directories"
Comment: Fixed.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2336
"Remove <br> from error and info boxes"
In Progress. Removed from PDF Generator.
 
Committed By: Kevin Fourie
Reviewed By: Jonathan Byrne

KTC-230
"ZendGuard 5.0.0 array_multisort bug is breaking encoding."
Fixed. Used two sorts instead of multisort.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2215
"When editing the dashboard welcome message the ktcore/en/welcome.html file is corrupted"
Fixed. Removed \r and \n from HTML output.

Committed By: Kevin Fourie
Reviewed By: Conrad Verleulen

KTS-1554
"Implement a Scheduler"
Added the script for running the scheduled tasks.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-1554
"Implement a Scheduler"
Added the javascript for the administrative UI for the scheduler.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-1554
"Implement a Scheduler"
Added the scheduler administration UI template.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-1554
"Implement a Scheduler"
Added the scheduler plugin, with the admin UI, the class for adding a task to the scheduler and the class for running a background task.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-1554
"Implement a Scheduler"
Added the sql for creating the table containing the tasks

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-1554
"Implement a Scheduler"
Added the upgrade patch.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2348
"upgrade.php is totally broken"
Fixed. This was a short tags issue.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2335
"Minor GUI glitch in IE7"
Checked whether the name in the list of actions is empty. If there is no name IE adds the action as an empty item in the list.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

WSA-6
"validate configuration of examples is correct so developers can easily evaluate webservices"
Implemented. Checks if caching is disabled and that required folders are installed.

Reviewed By: Kevin Fourie

WSA-38
"improved debug logging in webservice layer"
Implemented. Added debug() method.

WSA-39
"implement search via webservice"
Implemented.

WSA-40
"There is a typo in the structures for workflow transition."
Fixed. structures were named incorrectly.


Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Implemented. 

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2351
"Add CheckedOut date so can track when documents were checked out"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1554
"Implement a Scheduler"
Removed call to test class and fixed a small bug.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-1554
"Implement a Scheduler"
Updated the runtime on changing frequency and setting task to run on next iteration.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-1554
"Implement a Scheduler"
Updated the runtime on changing frequency and setting task to run on next iteration.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-1554
"Implement a Scheduler"
Updated the runtime on setting task to run on the next iteration.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2353
"mime.inc.php - magicDatabase option"
Updated. Contribution added to mime.inc.php with updates to config.ini and dmsDefaults.php

Contributed By: Florian Treml
Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2354
"ktentity.inc - cache removal"
Fixed.

Contributed By: Florian Treml
Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

WSA-35
"KTUploadManager.inc.php - Tempfile not correct"
Updated.

Contributed By: Florian Treml
Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1804
"Able to move workflow whilst a document is checked out."
Hid the links to workflow when a document is checked out. Added an error message if the workflow template is displayed.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2255
"When viewing document details, must show workflow name."
Added the workflow name.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

WSA-42
"SQL update statement on active_sessions table has typo"
Fixed. typo on lastused field in active_sessions.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

WSA-25
"get_document_detail_by_name fails with user that doesn't have permission to root folder"
Implemented. add get_folder_by_name to ktapi

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

WSA-25
"get_document_detail_by_name fails with user that doesn't have permission to root folder"
Fixed. removed requirement of getting the root folder first.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2356
"i8nJavascript.php runs very slowly"
Fixed. Implemented 'caching' of the javascript in the session.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

WSA-34
"Create unit tests for webservices"
Updated. Addid a basic call to query.cs

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-581
"Deleting of document types with no associated documents should be possible"
Added an icon for deleting document types if there are no associated documents. Fixed the isUsed function that checks, it was pointing to the wrong table.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2358
"php5 migration"
Updated. Removed & from &new. Added statics.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2358
"php5 migration"
Updated. Removed & from &new. Added statics.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Removed old criteria dependant on mysql fulltext tables.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Added checkedout field and removed mysql fulltext clearout code.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Implemented. Index is cleared out when document is expunged.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2348
"upgrade.php is totally broken"
More fixed. This was a short tags issue.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2360
"Remove cache logging."
Updated. Added KTLOG_CACHE

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2360
"Remove cache logging."
Updated.

KTS-2358
"php5 migration"
Updated. Removed & from &new. Added statics.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2362
"Improve mime type resolution based on file extension"
Improved.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1871
"Add copy workflow trigger"
Implemented. Made a base class which the copy and move is based on. Note the classes are named incorrectly to save the upgrade process.

Committed By: Conrad Vermeulen
Reviewed By: Megan Watson

KTS-1345
"Following a hyperlink from an MS Office doc works the first time but subsequently goes to dashboard until user logs out"
The login script was finding the current session and going straight to the dashboard, ignoring the redirect link.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-1871
"Add copy workflow trigger"
Implemented. Made a base class which the copy and move is based on. Note the classes are named incorrectly to save the upgrade process.

Committed By: Conrad Vermeulen
Reviewed By: Megan Watson

KTS-2365
"Add new bulk actions - copy, archive, extract"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Megan Watson

Database version bump to 3.5.0 & App version bump to 3.5.

KTS-2368
"Deactivated users still show up in list of Available Users when allocating users to a role"
Added filter to check the disabled flag.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2373
"Update structure.sql and data.sql"
Updated. Upgrades added and now using mysqldump to produce dumps.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2372
"Emails sent multiple times when emailing groups with sub-groups (SUP-197)"
If a user is in more than one of the groups selected then he/she will get the email more than once.
The email is now sent once to multiple users and ignores duplicate email addresses.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2372
"Emails sent multiple times when emailing groups with sub-groups (SUP-197)"
Removed call by reference.

Committed By: Megan Watson
Reviewed By: Conrad Vermeulen

KTS-2380
"Fatal error: Cannot redeclare class adminversionplugin when upgrading from 3.4.3 to 3.5"
Fixed. Added upgrade function to remove old file.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2384
"Add KTScheduler to the enabled plugins list."
Added.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTC-238
"Spelling and grammar errors on the 'Manage Lookup Tree' page in the DEV 3.5.0 build"
Corrected.

Committed By: Kevin Fourie
Reviewed By: Jonathan Byrne

KTS-2386
"Add some basic plugin caching to improve performance"
Added.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2365
"Add new bulk actions - copy, archive, extract"
Added in the folder component of the actions.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2359
"Automatically fill document title from filename"
Added an onchange option to the file input.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-1613
"possibility to delete a document version"
Added a new transaction type for deleting a version of a document. The physical document is deleted but the DB record remains.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2386
"Add some basic plugin caching to improve performance"
Updated. KTS-2358 impacted on the caching array that is required to cache. Thus the singleton() methods are restored to what they were before.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2366
"Reason field while copying a document can not be viewed through the UI"
The reason wasn't being fetched from the form info before being inserted into the DB for both the copy and move actions.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2413
"links on toolbar became inactive - preferences , about, etc"
Fixed.

Committed By: Kevin Fourie
Reviewed By: Kevin Fourie

WSA-45
"Migration to PHP 5.2 seemed to have a problem with HTTP_RAW_POST_DATA variable not being set in some environments for some reason."
Fixed.

Committed By: Conrad Vermeulen
Reviewed By: Isaac Lundal

KTS-2386
"Add some basic plugin caching to improve performance"
Updated. The original caching was causing problems. Had to revert caching to only around the database call.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2396
"Re-enable browse by script"
Updated. Enabled the original browse by. We are going to re-imagine this at a later stage.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2417
"the 'does contain' or 'does not contain' expression syntax does not work"
Fixed. There was a typo regarding the constant from phplemon.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2404
"NOT doesn't always work in search expressions."
Fixed.

Commited By: Conrad Vermeulen
Reviewed By: Kevin Fourie

WSA-45
"Migration to PHP 5.2 seemed to have a problem with HTTP_RAW_POST_DATA variable not being set in some environments for some reason."
Fixed. Removed reference to global HTTP_RAW_POST_DATA .

Committed By: Conrad Vermeulen
Reviewed By: Isaac Lundal

KTS-2419
"CLONE -Bug - Document Transaction History Not Tracking Emailing From KT (SUP-378)"

Committed by: Megan Watson
Reviewed by: Kevin Fourie

KTC-239
"CLONE -Performance has become tragically slow (SUP-443)"
Added. Implemented a a command line script to do basic mysql optmisation on tables.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2427
"Indexes directory not found on stack install."
Fixed. Corrected path for stack install.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2428
"Set the JavaXMLRPCLuceneIndexer as the default indexer"
Done. See [indexer] section on config.ini.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2430
"Create proper init script for stack install"
Done. Added to examples directory too.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2359
"Automatically fill document title from filename"
Added more logic to removing the extension from the title.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2390
"Need a way to download or checkout multiple files at the same time"
Refactored the code to zip files into a class. Updated the Bulk Export with the new class. Added the bulk check out action.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2439
"Use of wrong field in update of workflow state replacement during workflow state deletion"
Fixed. replaced workflow_state_id with target_state_id in sql update.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2440
"Adding a folder descendant lookup table for search"
Added. 

Reviewed By: Kevin Fourie
Committed By: Conrad Vermeulen

KTS-2441
"plugin_rss is not an innodb table"
Fixed.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2442
"Some database tables use unsigned int, but relations are mostly to signed int fields. This means foreign key constraints cannot be added easily."

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2415
"Scheduler: Change DB date format"
Changed the DB to use datetime instead of a unix timestamp.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2414
"Implement a dashlet for the scheduler"
Added a dashlet to inform the admin user when scheduler hasn't been running. 
Changed the background on the bullets to transparent.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2445
"KTDMS install does not install correctly: 'Fatal error: Call to undefined method....'"
Fixed. Put the database password back into config.ini

Committed By: Jalaloedien Abrahams
Reviewed By: Kevin Fourie

KTS-1796
"CLONE -No easy way to delete users/User.inc(SUP-163)"

Fixed: Added functionality to soft delete a user.

Committed By: Jonathan Byrne
Reviewed By: Kevin Fourie

KTS-2442
"Some database tables use unsigned int, but relations are mostly to signed int fields. This means foreign key constraints cannot be added easily."

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2442
"Some database tables use unsigned int, but relations are mostly to signed int fields. This means foreign key constraints cannot be added easily."
Updated. Mime type defaults to 9 (binary file) until it is set officially.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie
------------------------------------------------------------------------
r7316 | kevin_fourie | 2007-10-09 19:19:39 +0200 (Tue, 09 Oct 2007) | 14 lines

Merged in from DEV trunk...

KTS-2442
"Some database tables use unsigned int, but relations are mostly to signed int fields. This means foreign key constraints cannot be added easily."

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2442
"Some database tables use unsigned int, but relations are mostly to signed int fields. This means foreign key constraints cannot be added easily."
Updated. Mime type defaults to 9 (binary file) until it is set officially.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie
------------------------------------------------------------------------
r7321 | kevin_fourie | 2007-10-10 11:18:19 +0200 (Wed, 10 Oct 2007) | 3 lines

Version change to STABLE.


------------------------------------------------------------------------
r7328 | kevin_fourie | 2007-10-11 14:53:30 +0200 (Thu, 11 Oct 2007) | 73 lines

Merged in from DEV trunk...

KTS-2425
"CLONE -When editing permissions of folder, displayed cookie trail using invalid html entity &amp;raquo;(SUP-451)"
Fixed. Sanitization issue.

Committed By: Kevin Fourie
Reveiwed By: Jonathan Byrne

BBS-1011
"Auto Workflow Assignment: When a document is move from within KTE to the assigned linked folder the correct worklfow is not initiated."
Moved the triggers into the document util copy action, fixes both webdav and KT tools.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2447
"Remove search dashets"
Updated. Removed general metadata dashlet.

Commited By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2447
"Remove search dashets"
Updated. Removed search dashlet.

Commited By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2454
"Search portlet must be expanded"
Fixed.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

WSA-47
"Add Web Service Delphi Contribution"
Added.

Contributed By: Bjarte Kalstveit Vebj?\195?\184rnsen
Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2093
"When clicking on a large "Tag Cloud", more than one page of document attached to it, you get an error."
Fixed. Added a fixed line on line 108

Committed By: Jalaloedien Abrahams
Reviewed By: Conrad Vermeulen

KTS-2460
"Allow reindexing of knowledgetree tables"
Added.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2388
"Issue with detection of kt root in Suse Linux"
Contribution.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2429
"config.ini must be updated during upgrade for new search to work."
In Progress. Added class to help with ini editing.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

------------------------------------------------------------------------
r7346 | kevin_fourie | 2007-10-11 23:13:30 +0200 (Thu, 11 Oct 2007) | 80 lines

Merged in from DEV trunk...

KTS-2442
"Some database tables use unsigned int, but relations are mostly to signed int fields. This means foreign key constraints cannot be added easily."
Fixed. Meant to update folders table, not documents.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2468
"Add foreign key constraints to the database"
Updated.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2442
"Some database tables use unsigned int, but relations are mostly to signed int fields. This means foreign key constraints cannot be added easily."
Fixed. Meant to update folders table, not documents.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2469
"Deleted user can login"
Fixed.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2360
"Remove cache logging."
Updated.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2470
"Make triggers more failure proof so it can load it's own class file incase it has not been loaded"
Updated.

Updated By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2471
"create search2 dashets"
Updated. Added function  to KTUtil to deal with period calculations.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2471
"create search2 dashets"
Added. 

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2460
"Allow reindexing of knowledgetree tables"
Updated.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2373
"Update structure.sql and data.sql"
Updated. Upgrades added and now using mysqldump to produce dumps.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie


------------------------------------------------------------------------
r7348 | kevin_fourie | 2007-10-12 11:44:27 +0200 (Fri, 12 Oct 2007) | 3 lines

Version bump to STABLE.


------------------------------------------------------------------------
r7349 | kevin_fourie | 2007-10-12 11:51:28 +0200 (Fri, 12 Oct 2007) | 9 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. Associate mime types with extractors

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7355 | kevin_fourie | 2007-10-12 18:08:52 +0200 (Fri, 12 Oct 2007) | 24 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2429
"config.ini must be updated during upgrade for new search to work."
In Progress. Added upgrade function. Still needs testing.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2429
"config.ini must be updated during upgrade for new search to work."
Done.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen


------------------------------------------------------------------------
r7367 | kevin_fourie | 2007-10-15 12:26:59 +0200 (Mon, 15 Oct 2007) | 79 lines

Merged in from DEV trunk...

KTS-2429
"config.ini must be updated during upgrade for new search to work."
Done.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2471
"create search2 dashets"
Updated.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1753
" Implement Disk Usage Plugin"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1753
" Implement Disk Usage Plugin"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2395
"Create index migration script"
Updated. register script with scheduler

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2395
"Create index migration script"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2395
"Create index migration script"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2471
"create search2 dashets"
Updated. Refactored period calculations.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2395
"Create index migration script"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. added lucene server URL and migration config.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Added lucene server and migration defaults

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7371 | kevin_fourie | 2007-10-15 15:22:35 +0200 (Mon, 15 Oct 2007) | 29 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. Added lucene server and migration defaults

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2395
"Create index migration script"
Updated. Internationalisation.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2395
"Create index migration script"
Updated. fixed paths to wrapper functions

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2484
"Create shell script wrappers for search scripts so they may be invoked by scheduler"
Implemented. Created unix wrappers

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie
------------------------------------------------------------------------
r7373 | kevin_fourie | 2007-10-15 15:28:21 +0200 (Mon, 15 Oct 2007) | 16 lines

Merged in from DEV trunk...

KTS-2484
"Create shell script wrappers for search scripts so they may be invoked by scheduler"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. using externalBinary

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7376 | kevin_fourie | 2007-10-15 17:12:34 +0200 (Mon, 15 Oct 2007) | 16 lines

Merged in from DEV trunk...

KTS-2395
"Create index migration script"
Updated. Internationalisation - missing closing i18n tag

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2395
"Create index migration script"
Updated. missing scheduler header

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7383 | kevin_fourie | 2007-10-16 16:27:53 +0200 (Tue, 16 Oct 2007) | 53 lines

Merged in from DEV trunk...

KTS-2484
"Create shell script wrappers for search scripts so they may be invoked by scheduler"
Implemented. Created Windows wrappers - requires Bitrock installer substitution

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2484
"Create shell script wrappers for search scripts so they may be invoked by scheduler"
Implemented. Added setlocal to preserve current environmental settings

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2482
"Scheduler assumes script being run is a php script. this may not necessarily be the case"
Removed the include, now uses system to run the tasks.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2395
"Create index migration script"
Updated. Set run times

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2481
"Scheduler's first run time not set correctly when registering task according to spec"
Changed the setFirstRunTime() to accept a date input instead of a unix timestamp.

KTS-2485
"Internationalise scheduler - daily/weekly/5mins, etc"
Changed the dropdown to use the internationalised wording for the label.

KTS-2496
"Remove unused fields from scheduler table"
Removed the unused DB fields.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2498
"javaLuceneURL is set incorrectly in config.ini"
Corrected. Set to "default".

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen


------------------------------------------------------------------------
r7385 | kevin_fourie | 2007-10-16 16:40:24 +0200 (Tue, 16 Oct 2007) | 9 lines

Merged in from DEV trunk...

KTS-2499
"Incorrect SVN tags in several files under scheduler folder"
Updated. Changed $Id: to $Id:$
 
Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

------------------------------------------------------------------------
r7395 | kevin_fourie | 2007-10-17 16:39:48 +0200 (Wed, 17 Oct 2007) | 69 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. Typo with internationalisation

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2497
"Creation of a new thread fails with: 'DB error: unknown error'"
Fixed. Set defaults to null and not -1

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2497
"Creation of a new thread fails with: 'DB error: unknown error'"
Fixed. change nullable fields on discussion_threads

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2446
"CLONE -Skins don't disply properly on portlets in IE 6 (SUP-464)"
Fixed. Updated css for skin

Committed By: Jalaloedien Abrahams
Reviewed By: Conrad Vermeulen

KTS-2328
"When adding an Authentication source the 'Required' fields are marked as a 'Required' but the requirement is not enforced."

Fixed
Added a check for each of the required fields

Committed By: Jonathan Byrne
Reviewed By: Jalaloedien Abrahams

BBS-1009
"Folder or files with the Test Character set as their names cannot be manipulated in WebDAV in any way."
Added validation functions for special characters - /\?,.:"'*. Validation is on adding / renaming folders and documents.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-1753
" Implement Disk Usage Plugin"
Implemented. short php tag

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1753
"Implement Disk Usage Plugin"
Updated. Added some comments and increased thresholds

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2503
"Ports in openoffice python files are incorrect"
Changed port to 8100. Also added LGPL DocumentConvertor.py which seems good.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen



------------------------------------------------------------------------
r7418 | kevin_fourie | 2007-10-18 15:44:12 +0200 (Thu, 18 Oct 2007) | 142 lines

Merged in from DEV trunk...

KTS-2505
"Database configuration issues cause horrible knowledgetree failure"
Fixed. preventing early calls to the db

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2457
"On search results page - move save search out of the collapsable area"
Fixed.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2511
"short tag present on phpluceneindexer"
Fixed.

KTS-2398
"Java Lucene Server needs to send the highlighted results back more optimally"
Updated. Had to modify the way results are returned from the php lucene indexer as well

Reviewed By: Kevin Fourie
Committed By: Conrad Vermeulen

KTS-2398
"Java Lucene Server needs to send the highlighted results back more optimally"
Updated. Also fixed optimise typo

Reviewed By: Kevin Fourie
Committed By: Conrad Vermeulen

KTS-2512
"Search result object must return more fields to be used in templating and web services"
Updated. added more fields to the result object

Reviewed By: Kevin Fourie
Committed By: Conrad Vermeulen

KTS-673
"The search algorithm needs some work"
Updated. dmsDefaults needs to move for internationalisation

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2513
"Add params for host and port to OOo doc converter"
Added.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-673
"The search algorithm needs some work"
Updated.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2471
"create search2 dashets"
Added. 

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2512
"Search result object must return more fields to be used in templating and web services"
Updated. Added a status to string

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2512
"Search result object must return more fields to be used in templating and web services"
Updated. Added adminIsInAdminMode function

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Proxies are required to unserialize() correctly

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. webservice search structures 

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTC-248
"Disable commercial plugins on license expiry and display dashlet"
Fixed. Changed delete user to deallocate the license. Changed isBaobabUser to isValid user on creating a session, so as not to lock the user out.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-673
"The search algorithm needs some work"
Updated. Updated Lucene Server

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2251
"Characters in the names of Folders and files appear as question marks and squares in the crumbtrail."

Fixed
Question marks are no longer displayed on truncated bread crumb details.

Committed By: Jonathan Byrne
Reviewed By: Jalaloedien Abrahams

BBS-298
"Mac OS X Webdav as 3rd Party Client"
In Progress. Root folder parent_id was changed to null. Changed the sql to use is_null instead of =0. Affects all webdav, not only Mac.

Committed By: Megan Watson
Reviewed By: Conrad Vermeulen

KTS-2430
"Create proper init script for stack install"
Corrected port number.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2519
"Move periodic scripts out of web tree to install root"
In Progess.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen


------------------------------------------------------------------------
r7420 | kevin_fourie | 2007-10-18 15:52:54 +0200 (Thu, 18 Oct 2007) | 9 lines

Merged in from DEV trunk...

KTS-2519
"Move periodic scripts out of web tree to install root"
Done.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

------------------------------------------------------------------------
r7424 | kevin_fourie | 2007-10-18 16:51:24 +0200 (Thu, 18 Oct 2007) | 37 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. added authentication.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2519
"Move periodic scripts out of web tree to install root"
Done.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-673
"The search algorithm needs some work"
Updated. added authentication between lucene server and kt

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2429
"config.ini must be updated during upgrade for new search to work."
Done. Added new entries.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

------------------------------------------------------------------------
r7430 | kevin_fourie | 2007-10-19 14:21:23 +0200 (Fri, 19 Oct 2007) | 33 lines

Merged in from DEV trunk...

KTS-2507
" Workflow Transitions reset after adding new transition to existing workflow."

Fixed
When adding a new transition the old data should remain intact.

Committed By: Jonathan Byrne
Reviewed By: Kevin Fourie

KTS-2524
"Create document indexer shutdown script"
Implemented. Also did a few other small fixes...

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2524
"Create document indexer shutdown script"
Implemented. 

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2520
"Fatal Error when deleting a state in a workflow and selecting a replacement state."
Fixed typo. KTWorkflowTransitions should have been KTWorkflowTransition.

Committed By: Kevin Fourie
Reviewed By: Jonathan Byrne


------------------------------------------------------------------------
r7432 | kevin_fourie | 2007-10-19 14:30:43 +0200 (Fri, 19 Oct 2007) | 16 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. Completed basics of script.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2524
"Create document indexer shutdown script"
Fixed.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7433 | kevin_fourie | 2007-10-19 15:06:27 +0200 (Fri, 19 Oct 2007) | 8 lines

KTS-2509
"OpenOffice service is not starting under Suse and RHEL"
Updated example dmsctl.sh file.

Committed By: Keivn Fourie
Reviewed By: Conrad Vermeulen


------------------------------------------------------------------------
r7437 | kevin_fourie | 2007-10-19 15:50:17 +0200 (Fri, 19 Oct 2007) | 23 lines

Merged in from DEV trunk...

KTS-2525
"Create windows service to wrap around scheduler"
Implemented.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Added Exif extractor

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. pstotext only available in windows

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7446 | kevin_fourie | 2007-10-22 15:05:34 +0200 (Mon, 22 Oct 2007) | 49 lines

Merged in from DEV trunk...

KTS-2455
"Capitalise the U in "Bulk upload""
Fixed. Changed successfully to uppercase

Committed By:Yusuf Davids
Reviewed By:Jalaloedien Abrahams

KTS-2527
"Change the usage of 'search expression' and 'expression' to 'search criteria' and 'criteria' respectively when working with search."
Fixed.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2521
"No notifications when you are subscribed to a folder"
Fixed. Added notifications to the functions in document util. Refactored archive into documentutil. Added notifications to export.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-673
"The search algorithm needs some work"
Updated. Parameters to command not passed correctly

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. 

KTS-2514
"Indexing requirements is harsh currently as it requires all indexing issues to be resolved"
Fixed.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2525
"Create windows service to wrap around scheduler"
Updated. Modified service scripts.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen


------------------------------------------------------------------------
r7457 | kevin_fourie | 2007-10-22 17:58:55 +0200 (Mon, 22 Oct 2007) | 84 lines

Merged in from DEV trunk...

KTS-2514
"Indexing requirements is harsh currently as it requires all indexing issues to be resolved"
Fixed. Added extractor table

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2522
"Fatal Error when you perform a move and checkout"
Fixed. Refactored the prune users function into the getsubscribers function, where it is passed an array of id's instead of an array of objects.

Committed By: Megan Watson
Reviewed By: Conrad Vermeulen

KTS-2541
"indexes must be applied to searchable fields when recreating indexes"
Updated.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2529
"Test open office document extractor"
Updated. Extended KTUtil::findCommand to resolve python, php, and java in the stack

KTS-673
"The search algorithm needs some work"
Updated. 

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

BBS-298
"Mac OS X Webdav as 3rd Party Client"
Updated. Added functionality to prevent the .DS_Store files and ._filename files from being uploaded when adding a document or folder. Added Goliath as a client. Removed the forward slash from the end of file names.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-673
"The search algorithm needs some work"
Updated. Made reference to DocumentIndexer

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Capitalise D

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Status dashlet must only show when there are no isssues

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Changed reference from lucene to Document Indexer

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1554
"Implement a Scheduler"
Updated. Added a check on the extension to ensure .sh scripts run on *nix and .bat on windows, etc.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2525
"Create windows service to wrap around scheduler"
Updated. Added taskrunner.bat and modified service scripts.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen


------------------------------------------------------------------------
r7462 | kevin_fourie | 2007-10-22 19:45:37 +0200 (Mon, 22 Oct 2007) | 29 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. Removed internal metadata references

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2529
"Test open office document extractor"
Fixed. Extractor script was not taking host and port correctly

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Removed experimental indexer

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2525
"Create windows service to wrap around scheduler"
Updated. Changed bat file to dos filetype.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen
------------------------------------------------------------------------
r7477 | kevin_fourie | 2007-10-23 01:19:22 +0200 (Tue, 23 Oct 2007) | 51 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. Integrated with DocumentConverter.py

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2547
"Test RTF Indexer"
Implemented. 

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated.  MailMime is not tested... will implement again when have more time.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Sometimes the extractor may change the target filename. 

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1753
" Implement Disk Usage Plugin"
Updated. Licensing.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Search requires php, python and java.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7482 | kevin_fourie | 2007-10-23 11:54:35 +0200 (Tue, 23 Oct 2007) | 23 lines

Merged in from DEV trunk...

KTS-2558
"Update OSS to GPLv3"
Updated. More header updates.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2558
"Update OSS to GPLv3"
Updated COPYING file and inline headers.

Committed By: Kevin Fourie
Reviewed By: Jalaloedien Abrahams

KTS-2561
"Add df to config.ini"
Added.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

------------------------------------------------------------------------
r7484 | kevin_fourie | 2007-10-23 12:07:32 +0200 (Tue, 23 Oct 2007) | 30 lines

Merged in from DEV trunk...

KTC-245
"Login Page text update"
Fixed. Updated login.php, login.smarty

KTC-246
"Footer Text update"
Fixed. Updated standard_page.smarty, kt3template.inc.php

KTC-247
"About Page text update"
Fixed. Updated about.php, about.smarty, knowledgeTree.pot, templates.c

Committed By: Jalaloedien Abrahams
Reviewed By: Kevin Fourie

KTS-2558
"Update OSS to GPLv3"
Updated. More header updates.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2450
"Add "Candy Stripe" to indicate activity to all pages that keep the user waiting."
Fixed.

Committed By: Yusuf Davids
Reviewed By: Jalaloedien Abrahams
------------------------------------------------------------------------
r7486 | kevin_fourie | 2007-10-23 12:41:14 +0200 (Tue, 23 Oct 2007) | 8 lines

Merged in from DEV trunk...

KTS-2566
"HTTPS performance tuning added to .htaccess"
Updated. Added configuration for caching...

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie
------------------------------------------------------------------------
r7488 | kevin_fourie | 2007-10-23 13:36:27 +0200 (Tue, 23 Oct 2007) | 8 lines

Merged in from DEV trunk...

KTS-2460
"Allow reindexing of knowledgetree tables"
Updated. mime_type_document_mapping has complex primary key

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie
------------------------------------------------------------------------
r7494 | kevin_fourie | 2007-10-23 15:21:08 +0200 (Tue, 23 Oct 2007) | 8 lines

KTS-2568
"Add scheduler service to Linux"
Added.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen


------------------------------------------------------------------------
r7496 | kevin_fourie | 2007-10-23 15:32:28 +0200 (Tue, 23 Oct 2007) | 46 lines

Merged in from DEV trunk...

KTS-2560
"Move the scheduler plugin and dashlet into core"
Fixed. Moved the scheduler plugin and dashlet into the core.

Committed By: Megan Watson
Reviewed By: Conrad Vermeulen

KTS-2429
"config.ini must be updated during upgrade for new search to work."
Updated. Added OS_WINDOWS entries.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-673
"The search algorithm needs some work"
Updated. Remove the mime type registration. this happens automatically when the indexer is run.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2440
"Adding a folder descendant lookup table for search"
Added. 

Reviewed By: Kevin Fourie
Committed By: Conrad Vermeulen

KTS-2460
"Allow reindexing of knowledgetree tables"
Updated. scheduler has a unique field

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

Merged in from STABLE trunk...

KTS-2568
"Add scheduler service to Linux"
Added.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

------------------------------------------------------------------------
r7499 | kevin_fourie | 2007-10-23 16:04:07 +0200 (Tue, 23 Oct 2007) | 16 lines

Merged in from DEV trunk...

KTS-2460
"Allow reindexing of knowledgetree tables"
Updated. some fields should not be null

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2515
"new index recreate script needs to add indexes on fields used in advanced search"
Done.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7505 | kevin_fourie | 2007-10-23 16:56:05 +0200 (Tue, 23 Oct 2007) | 38 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. Fixed references to Lucene

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Fixed references to lucene

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1753
" Implement Disk Usage Plugin"
Updated. Not scaning temp directory if windows

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2471
"create search2 dashets"
Updated. Changed reference to lucene and added checking for 'df'

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2568
"Add scheduler service to Linux"
Added php loop file.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen


------------------------------------------------------------------------
r7508 | kevin_fourie | 2007-10-23 17:48:40 +0200 (Tue, 23 Oct 2007) | 16 lines

Merged in from DEV trunk...

KTS-2549
"Document Indexer statistics is not returning 'documents in index'"
Updated. There was an issue with the lucene server. the json structure was corrupted - a missing comma.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2568
"Add scheduler service to Linux"
Updated. Fixed script error.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

------------------------------------------------------------------------
r7513 | kevin_fourie | 2007-10-23 23:31:17 +0200 (Tue, 23 Oct 2007) | 29 lines

Merged in from DEV trunk...

KTS-2525
"Create windows service to wrap around scheduler"
Updated. Fixed issues executing cross platform.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-1554
"Implement a Scheduler"
Updated. Made script work cross platform

Committed by: Conrad Vermeulen
Reviewed by: Kevin Fourie

KTS-2571
"Upgrade wizard is not calling ini upgrade function"
Fixed. Added backup before writing config.ini

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1554
"Implement a Scheduler"
Updated. add scheduled tasks to clean db

Committed by: Conrad Vermeulen
Reviewed by: Kevin Fourie
------------------------------------------------------------------------
r7520 | kevin_fourie | 2007-10-23 23:45:48 +0200 (Tue, 23 Oct 2007) | 44 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1554
"Implement a Scheduler"
Updated. is_background was removed from dtabase.

Committed by: Conrad Vermeulen
Reviewed by: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Updated reference from Lucene to Document Indexer

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1753
" Implement Disk Usage Plugin"
Updated. Added cross platform calling of df

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1753
" Implement Disk Usage Plugin"
Updated. Removed term disk from Disk Mount.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-1753
" Implement Disk Usage Plugin"
Updated. Removed empty line from DF

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7524 | kevin_fourie | 2007-10-24 01:14:53 +0200 (Wed, 24 Oct 2007) | 23 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. Strings were not being coverted to date correctly for comparison

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Negative results not displayed correctly.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2525
"Create windows service to wrap around scheduler"
Updated. issues on windows.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7527 | kevin_fourie | 2007-10-24 01:22:39 +0200 (Wed, 24 Oct 2007) | 16 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. Like was missing.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2568
"Add scheduler service to Linux"
Added sh file.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

------------------------------------------------------------------------
r7533 | kevin_fourie | 2007-10-24 01:58:01 +0200 (Wed, 24 Oct 2007) | 37 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. use path of document as it includes the full path

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. refactor boolean

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. reworking strToBool

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2525
"Create windows service to wrap around scheduler"
Updated. added realpath

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2414
"Implement a dashlet for the scheduler"
Updated some text.

Committed by: Kevin Fourie 
Reviewed by: Conrad Vermeulen

------------------------------------------------------------------------
r7539 | kevin_fourie | 2007-10-24 02:38:11 +0200 (Wed, 24 Oct 2007) | 36 lines

Merged in from DEV trunk...

KTS-2414
"Implement a dashlet for the scheduler"
Updated. When no jobs have been run, it says they were last run 1974 weeks ago... Changed this!

Committed by: Conrad Vermeulen
Reviewed by: Kevin Fourie

KTS-2414
"Implement a dashlet for the scheduler"
Updated. Updated paths of scheduled tasks.

Committed by: Conrad Vermeulen
Reviewed by: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. Prevent multiple instances of indexer running which may lock the server under load

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2568
"Add scheduler service to Linux"
Updated sh file.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-673
"The search algorithm needs some work"
Updated. Scheduler initialised when indexer is first run.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie
------------------------------------------------------------------------
r7541 | kevin_fourie | 2007-10-24 03:41:35 +0200 (Wed, 24 Oct 2007) | 8 lines

KTS-2568
"Add scheduler service to Linux"
Updated sh file.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen


------------------------------------------------------------------------
r7543 | kevin_fourie | 2007-10-24 04:31:01 +0200 (Wed, 24 Oct 2007) | 9 lines

Merged in from DEV trunk...

KTS-2573
"error handler should log to our log main file"
Updated. 

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7544 | kevin_fourie | 2007-10-24 04:35:35 +0200 (Wed, 24 Oct 2007) | 9 lines

Merged in from DEV trunk...

KTS-2525
"Create windows service to wrap around scheduler"
Updated. scheduler service must be run from correct relative location.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7557 | kevin_fourie | 2007-10-24 04:51:38 +0200 (Wed, 24 Oct 2007) | 16 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. DiskUsage only working on Linux for now

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. added licensing

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7560 | kevin_fourie | 2007-10-24 05:53:11 +0200 (Wed, 24 Oct 2007) | 16 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. updated some error messages

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2552
"When searching using the quick search widget, the previous criteria gets corrupted intermittently."
Fixed.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7562 | kevin_fourie | 2007-10-24 05:57:32 +0200 (Wed, 24 Oct 2007) | 8 lines

Merged in from DEV trunk...

WSA-44
"web service unit tests in php need to be incorporated for search"
Added. A little proxy to help with debugging

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie
------------------------------------------------------------------------
r7565 | kevin_fourie | 2007-10-24 06:31:10 +0200 (Wed, 24 Oct 2007) | 15 lines

Merged in from DEV trunk...

KTS-673
"The search algorithm needs some work"
Updated. Undo lockfile on main indexing

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-673
"The search algorithm needs some work"
Updated. added zseq_mime_extractors id

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie
------------------------------------------------------------------------
r7576 | kevin_fourie | 2007-10-25 13:42:52 +0200 (Thu, 25 Oct 2007) | 72 lines

Merged in from DEV trunk...

KTS-2574
"Add 1 minute and 30 seconds as intervals in the scheduler"
Fixed. Added 1 minute and 30 second intervals to the scheduler.

Committed by: Megan Watson
Reviewed by: Conrad Vermeulen

KTS-2588
"ktdmsScheduler not starting automatically after install"
Fixed. An explicit call is made to start the scheduler

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2580
"Open office document text extractor doesn't have application/msword associated with it"
Fixed. Added missing mime types

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2583
"task_runner.php must include set_time_limit(0)"
Deleted. No need for this script, as the script is looped in ktdms/knowledgeTree/bin/schedulerTask.sh

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2584
"Postscrip extractor is disabled on linux"
Fixed.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2585
"Open Office extractors may produce python error if filename contains illegal characters"
Fixed. Rather than creating a file with filename, we create one with the docid and the extension

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2579
"scripts not resolving paths correctly with stack installer"
Update. Adding changing to relative path so external user/scripts don't have to do this

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2579
"scripts not resolving paths correctly with stack installer"
Update. Adding changing to relative path so external user/scripts don't have to do this

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2579
"scripts not resolving paths correctly with stack installer"
Update. Adding changing to relative path so external user/scripts don't have to do this

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

KTS-2579
"scripts not resolving paths correctly with stack installer"
Update. Adding changing to relative path so external user/scripts don't have to do this

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7578 | kevin_fourie | 2007-10-25 16:19:59 +0200 (Thu, 25 Oct 2007) | 8 lines

Merged in from DEV trunk...

KTS-2552
"When searching using the quick search widget, the previous criteria gets corrupted intermittently."
Updated.  Session not updated correctly.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie
------------------------------------------------------------------------
r7580 | kevin_fourie | 2007-10-25 17:08:27 +0200 (Thu, 25 Oct 2007) | 9 lines

Merged in from DEV trunk...

KTS-2568
"Add scheduler service to Linux"
Updated. Fixed script error relating to stopping services.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

------------------------------------------------------------------------
r7582 | kevin_fourie | 2007-10-25 19:43:32 +0200 (Thu, 25 Oct 2007) | 9 lines

Merged in from DEV trunk...

KTS-2594
"KTUtil::computePeriodToDate calling itself recursively resulting in dashboard failing on Document Indexer statistics"
Fixed.

Committed By: Conrad Vermeulen
Reviewed By: Kevin Fourie

------------------------------------------------------------------------
r7585 | kevin_fourie | 2007-10-25 22:35:11 +0200 (Thu, 25 Oct 2007) | 17 lines

Merged in from DEV trunk...

KTS-2525
"Create windows service to wrap around scheduler"
Updated. Logging to error on start was changed to log to info.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen

KTS-2588
"ktdmsScheduler not starting automatically after install"
Updated. Moved the service start back to the installer and added a delay.

Committed By: Kevin Fourie
Reviewed By: Conrad Vermeulen


